Subject: bug#4044: 23.1; unable to handle folder whose name starts with 2009-08-04

From: "Xah Lee" <[email-masked]>
Date: Sun, 9 Aug 2009 23:11:34 -0700

> I'm afraid I can't reproduce it on GNU/Linux with 23.1, or with trunk.
> Do you see the problem without customizations (-Q)?

yea, 100% reproduceable with -Q, but on Mac OS X only though.

 Xah

----- Original Message ----- 
From: "Chong Yidong" <[email-masked]>
To: "xah lee" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, August 09, 2009 7:28 PM
Subject: Re: 23.1; unable to handle folder whose name starts with 2009-08-04

> if a folder has names like “2009-08-04 misc”, then emacs dired
> will mistake the folder name being just “misc”, and basically
> unable to open, move, delete the folder.
>
> • switch to dired.
> • type + then 2009-08-04 misc
>
> • Now, you can see the coloring is wrong. Try to move, rename, or go
> into the folder. Emacs complains
> dired-get-file-for-visit: File no longer exists; type `g' to update
> dired buffer
>
> This happens on emacs 23.x on Mac. 100% reproducible.

I'm afraid I can't reproduce it on GNU/Linux with 23.1, or with trunk.
Do you see the problem without customizations (-Q)?